X
Tap here to go to the mobile version of the site.
Your Firefox is out of date and may contain a security risk! Upgrade Firefox

Support Forum

Why does Firefox 17.0.1 block Java Version 7 Update 10 ?

Posted

I've updated java from version 7 update 9 to version 7 update 10 and now firefox has "For your safety, Firefox has disabled your outdated version of Java. Please upgrade to the latest version.". I assume the block list thinks it's seeing version7 update 1 ?!

Chosen solution

I got Java 7 update 10 plug in to work in Firefox 17.0.1 under Win 7 64. First i uninstalled all java from programs and features in the control panel. Next I went into the registry and i opened HKEY_CURRENT_USER _Software and i deleted Java Soft. Next I opened HKEY_LOCAL_MACHINE_software and I deleted Java Soft again and then I opened HKEY_LOCAL_MACHINE\SOFTWARE\MozillaPlugins and then i deleted any keys related to Java. Next I opened HKEY_LOCAL_MACHINE\SOFTWARE\Wow6432Node and i opened MozillaPlugins and i deleted any keys related to java. Next, I reinstalled Java Version 7 Update 10 (32 Bit) and it is now working properly in Firefox 17.

Read this answer in context 12

Additional System Details

Installed Plug-ins

  • The QuickTime Plugin allows you to view a wide variety of multimedia content in Web pages. For more information, visit the QuickTime Web site.
  • Shockwave Flash 11.5 r502
  • Adobe Shockwave for Director Netscape plug-in, version 11.6.8.638
  • Google Update
  • Adobe PDF Plug-In For Firefox and Netscape 10.1.4
  • 5.1.10411.0
  • Open Text Xweb Remote Activation Plug-in Version 14.0.0.337 for Win32
  • np-mswmp
  • Java Version 7 Update 10

Application

  • User Agent: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:17.0) Gecko/20100101 Firefox/17.0

More Information

Troubleshooting Information
This page contains technical information that might be useful when you're
trying to solve a problem. If you are looking for answers to common questions
about Firefox, check out our support website.
Application Basics
Name
Firefox
Version
17.0.1
User Agent
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:17.0) Gecko/20100101 Firefox/17.0
Profile Folder
Enabled Plugins
about:plugins
Build Configuration
about:buildconfig
Crash Reports
about:crashes
Memory Use
about:memory
Extensions
Name
Version
Enabled
ID
Adblock Plus2.2.1true{d10d0bf8-f5b5-c8b4-a8b2-2b9879e08c5d}Symantec Intrusion Prevention11.1.1.5 - 3true{BBDA0591-3099-440a-AA10-41764D9DB4DB}
Important Modified Preferences
Name
Value
browser.cache.disk.capacity358400browser.cache.disk.smart_size.first_runfalsebrowser.cache.disk.smart_size.use_old_maxfalsebrowser.cache.disk.smart_size_cached_value358400browser.places.smartBookmarksVersion4browser.startup.homepagewww2browser.startup.homepage_override.buildID20121128204232browser.startup.homepage_override.mstone17.0.1extensions.lastAppVersion17.0.1font.name.serif.x-westernTahomanetwork.cookie.lifetimePolicy2network.cookie.prefsMigratedtrueplaces.history.enabledfalseplaces.history.expiration.transient_current_max_pages103957privacy.clearOnShutdown.offlineAppstrueprivacy.clearOnShutdown.passwordstrueprivacy.clearOnShutdown.siteSettingstrueprivacy.cpd.offlineAppstrueprivacy.cpd.siteSettingstrueprivacy.donottrackheader.enabledtrueprivacy.sanitize.migrateFx3Prefstrueprivacy.sanitize.sanitizeOnShutdowntruesecurity.warn_viewing_mixedfalse
Graphics
Adapter DescriptionATI Radeon HD 2400 ProVendor ID0x1002Device ID0x94c1Adapter RAM256Adapter Driversaticfx64 aticfx64 aticfx32 aticfx32 atiumd64 atidxx64 atiumdag atidxx32 atiumdva atiumd6a atitmm64Driver Version8.961.0.0Driver Date4-5-2012Direct2D EnabledtrueDirectWrite Enabledtrue (6.1.7601.17789)ClearType ParametersClearType parameters not foundWebGL RendererGoogle Inc. -- ANGLE (ATI Radeon HD 2400 Pro) -- OpenGL ES 2.0 (ANGLE 1.0.0.1242)GPU Accelerated Windows1/1 Direct3D 10
AzureCanvasBackenddirect2dAzureFallbackCanvasBackendcairoAzureContentBackenddirect2d
JavaScript
Incremental GC
1
Accessibility
Activated
0
Prevent Accessibility
0
Library Versions
Expected minimum versionVersion in useNSPR4.9.24.9.2NSS3.13.6.0 Basic ECC3.13.6.0 Basic ECCNSS Util3.13.6.03.13.6.0NSS SSL3.13.6.0 Basic ECC3.13.6.0 Basic ECCNSS S/MIME3.13.6.0 Basic ECC3.13.6.0 Basic ECC

dalbum 0 solutions 2 answers

I also have this problem too. It does not work for Firefox and there is no mention of v7U10 even on the about:plugins page. However it is working perfectly with Internext Explorer.

bigmur001 1 solutions 2 answers

Chosen Solution

I got Java 7 update 10 plug in to work in Firefox 17.0.1 under Win 7 64. First i uninstalled all java from programs and features in the control panel. Next I went into the registry and i opened HKEY_CURRENT_USER _Software and i deleted Java Soft. Next I opened HKEY_LOCAL_MACHINE_software and I deleted Java Soft again and then I opened HKEY_LOCAL_MACHINE\SOFTWARE\MozillaPlugins and then i deleted any keys related to Java. Next I opened HKEY_LOCAL_MACHINE\SOFTWARE\Wow6432Node and i opened MozillaPlugins and i deleted any keys related to java. Next, I reinstalled Java Version 7 Update 10 (32 Bit) and it is now working properly in Firefox 17.

Modified by bigmur001

mizuc 0 solutions 11 answers

I have the same problem. I found some way. It worked for me.

First, just remove all java, including java, java 64bit, and especially javafx. (for me, it is "javafx 2.1.1")

Second, reinstall new version of java and javafx, 32 or 64 bit, as you need.

And then java 7 update 10 will show up in firefox's add-ons/plugins page.

Modified by mizuc

Question owner

Thanks bigmur001 ! Your solution worked for me.

oriold 0 solutions 1 answers

I have this problem too with a linux 64bit. It is very annoying because you don't have an option to bypass the bad regex of the blocklist.

tronco01 0 solutions 3 answers

Helpful Reply

For those that are like me and need a simpler solution without going to the registry, I did this:

  1. Removed ALL installed Java in the Control Panel.
  2. Used Ccleaner to look for errors in the registry. Before fixing anything, I used the option to back up the registry, then fixed ALL entries. I ran it three more times and on each Java stuff came up, so I fixed those, too. You only need to back up the registry once.
  3. Reinstalled Java.
  4. Opened Firefox and this time I found the two Java plugins and problem fixed.

Hope it helps!